7712 mandoc -Tlint does always exit with error code 0
[unleashed.git] / usr / src / cmd / lvm / metassist / scripts / errifoutput.sh
blobcab32d4ab3ec11edebc22ab354507cc1465178aa
1 #!/bin/sh
3 # CDDL HEADER START
5 # The contents of this file are subject to the terms of the
6 # Common Development and Distribution License, Version 1.0 only
7 # (the "License"). You may not use this file except in compliance
8 # with the License.
10 # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
11 # or http://www.opensolaris.org/os/licensing.
12 # See the License for the specific language governing permissions
13 # and limitations under the License.
15 # When distributing Covered Code, include this CDDL HEADER in each
16 # file and include the License file at usr/src/OPENSOLARIS.LICENSE.
17 # If applicable, add the following below this CDDL HEADER, with the
18 # fields enclosed by brackets "[]" replaced with your own identifying
19 # information: Portions Copyright [yyyy] [name of copyright owner]
21 # CDDL HEADER END
24 # Copyright 2003 Sun Microsystems, Inc. All rights reserved.
25 # Use is subject to license terms.
27 # ident "%Z%%M% %I% %E% SMI"
29 # Runs the command passed as arguments, echoes the output to stderr.
31 # Exits with 0 (success) if the command exits with 0 and has no
32 # output.
34 # Exits with 1 (failure) if the command exits with 0 and has output.
36 # Exits with the exit code of the command if it exits with a non-zero
37 # exit code.
39 output=`"$@" 2>&1`
40 result=$?
42 if [ -n "$output" ]
43 then
44 echo "$output" >&2
45 test $result = 0 && result=1
48 exit $result